> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# domein ophalen

> Retourneert klantgerichte domeindetails.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.nl.json GET /v1/public/accounts/{account_id}/domains/{domain}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/domains/{domain}:
    get:
      tags:
        - public-accounts
        - public-domains
      summary: domein ophalen
      description: Retourneert klantgerichte domeindetails.
      operationId: get_public_domain_v1_public_accounts__account_id__domains__domain__get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: domain
          required: true
          schema:
            title: Domain
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainDetailResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validatiefout
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DomainDetailResponse:
      properties:
        auto_renew:
          default: false
          description: Of automatische verlenging van domeinen is ingeschakeld
          title: automatisch Renew
          type: boolean
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Tijdstempel voor het maken van domeinen
          title: Aangemaakt op
        dedicated_ip_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: Toegewezen speciale IP UUID, indien aanwezig
          title: Dedicated IP-id
        dns_records:
          description: DNS-records voor het domein
          items:
            $ref: '#/components/schemas/DomainDnsRecordResponse'
          title: DNS-records
          type: array
        id:
          description: Domein UUID
          format: uuid
          title: ID
          type: string
        inbound_tenant_external_id:
          anyOf:
            - type: string
            - type: 'null'
          description: Externe ID van de provider voor de inkomende tenant
          title: Inbound Tenant External ID
        inbound_tenant_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: Inkomende tenant UUID, indien toegewezen
          title: Inbound Tenant ID
        inbound_tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          description: Weergavenaam van binnenkomende tenant, indien toegewezen
          title: Inbound Tenant naam
        inbound_tenant_type:
          anyOf:
            - type: string
            - type: 'null'
          description: Binnenkomend tenanttype, indien toegewezen
          title: Inbound Tenant type
        mailboxes:
          description: Postbussen op het domein
          items:
            $ref: '#/components/schemas/DomainMailboxSummary'
          title: Mailboxen
          type: array
        name:
          description: Domeinnaam
          title: Naam
          type: string
        outbound_routing_ready:
          description: Of uitgaande routering gereed is
          title: Uitgaande routering gereed
          type: boolean
        redirect_mode:
          anyOf:
            - enum:
                - '301'
                - '302'
                - iframe
              type: string
            - type: 'null'
          description: Geconfigureerde omleidingsmodus, indien aanwezig
          title: Redirect modus
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          description: Geconfigureerde omleidings-URL, indien aanwezig
          title: Redirect URL
        status:
          description: Levenscyclusstatus van domein
          title: Status
          type: string
        tags:
          description: Tags die aan het domein zijn gekoppeld
          items:
            $ref: '#/components/schemas/DomainTagResponse'
          title: Labels
          type: array
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Tijdstempel van laatste update van domein
          title: Bijgewerkt op
        workspace_id:
          description: Werkruimte UUID die het domein bevat
          format: uuid
          title: Workspace-id
          type: string
      required:
        - id
        - name
        - status
        - workspace_id
        - outbound_routing_ready
      title: DomainDetailResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    DomainDnsRecordResponse:
      description: DNS-record ingesloten in domeindetails.
      properties:
        id:
          description: DNS record-ID
          title: ID
          type: integer
        is_system_managed:
          default: false
          description: Of de record wordt beheerd door HybridBox
          title: Wordt door systeem beheerd
          type: boolean
        name:
          description: DNS-recordnaam
          title: Naam
          type: string
        priority:
          anyOf:
            - type: integer
            - type: 'null'
          description: DNS recordprioriteit indien van toepassing
          title: Prioriteit
        ttl:
          description: DNS neemt TTL op in seconden
          title: TTL
          type: integer
        type:
          description: DNS-recordtype
          title: Type
          type: string
        value:
          description: DNS recordwaarde
          title: Waarde
          type: string
      required:
        - id
        - type
        - name
        - value
        - ttl
      title: DomainDnsRecordResponse
      type: object
    DomainMailboxSummary:
      description: Mailboxsamenvatting ingesloten in domeindetails.
      properties:
        active:
          description: Of de mailbox actief is
          title: Actief
          type: boolean
        email:
          description: E-mailadres van primaire mailbox
          title: E-mail
          type: string
        first_name:
          description: Voornaam van mailboxgebruiker
          title: Voornaam
          type: string
        id:
          description: Postbus UUID
          format: uuid
          title: ID
          type: string
        last_name:
          description: Achternaam van postbusgebruiker
          title: Achternaam
          type: string
      required:
        - id
        - email
        - first_name
        - last_name
        - active
      title: DomainMailboxSummary
      type: object
    DomainTagResponse:
      description: Tag gekoppeld aan een domein.
      properties:
        id:
          description: Label UUID
          format: uuid
          title: ID
          type: string
        name:
          description: Weergavenaam van tag
          title: Naam
          type: string
      required:
        - id
        - name
      title: DomainTagResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Locatie
          type: array
        msg:
          title: Bericht
          type: string
        type:
          title: Fouttype
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````